> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/custody-of-assets/custody-functions.md).

# Custody functions

### Create vault

`createVault(_creator, _id)`

| Function parameter | Description                                                                      |
| ------------------ | -------------------------------------------------------------------------------- |
| \_creator          | human readable unique identifier for user such as its email address              |
| \_id               | a messaging token for the user such as a firebase or azure cloud messaging token |

### Define quorum

`defineQuorum(_creator, _id, _minParticipants)`

| Function parameter | Description                                      |
| ------------------ | ------------------------------------------------ |
| \_creator          | unique identifier for user                       |
| \_id               | messaging token for user                         |
| \_minParticipants  | minimum number of co-signatories to reach quorum |

### Add participant

`addParticipant(_creator, _id, _participant)`

| Function parameter | Description                        |
| ------------------ | ---------------------------------- |
| \_creator          | unique identifier for user         |
| \_id               | messaging token for user           |
| \_participant      | unique identifier for co-signatory |

### Confirmation by participant

`confirmParticipant(_creator, _participant, _id)`

| Function parameter | Description                        |
| ------------------ | ---------------------------------- |
| \_creator          | unique identifier for user         |
| \_id               | messaging token for user           |
| \_participant      | unique identifier for co-signatory |

### Prompt co-signatories

`promptSignatures(_creator, _id)`

| Function parameter | Description                                                                      |
| ------------------ | -------------------------------------------------------------------------------- |
| \_creator          | human readable unique identifier for user such as its email address              |
| \_id               | a messaging token for the user such as a firebase or azure cloud messaging token |

### Sign transaction

`signTransaction(_creator, _participant, _id, _tx, _pin)`

| Function parameter | Description                                                                                         |
| ------------------ | --------------------------------------------------------------------------------------------------- |
| \_creator          | unique identifier for user                                                                          |
| \_participant      | unique identifier for co-signatory                                                                  |
| \_id               | messaging token for co-signatory                                                                    |
| \_tx               | unique transaction identifier that co-signatories receive by notification from the Verified Network |
| \_pin              | PIN of co-signatory                                                                                 |

### Check quorum

`checkQuorum(_creator, _id, _participant, _txid)`

| Function parameter | Description                                                                                |
| ------------------ | ------------------------------------------------------------------------------------------ |
| \_creator          | unique identifier for user                                                                 |
| \_id               | messaging token for user                                                                   |
| \_participant      | unique identifier for co-signatory                                                         |
| \_tx               | unique transaction identifier that users receive by notification from the Verified Network |

### Retrieve shards

`getShards(_creator, _id, _txid)`

| Function parameter | Description                                                                        |
| ------------------ | ---------------------------------------------------------------------------------- |
| \_creator          | unique identifier for user                                                         |
| \_id               | messaging token for user                                                           |
| \_txid             | unique identifier for transaction that needs to be signed by assembling key shards |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/custody-of-assets/custody-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
